Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235596 - esmtp should provide MTA
Summary: esmtp should provide MTA
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: esmtp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 17:48 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-03 15:34:55 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-04-07 17:48:03 UTC
postfix, exim, and ssmtp have "Provides: MTA" (and sendmail should as well; will
report a bug), so I think esmtp should join the club and provide it too.

Comment 1 Robert Scheck 2007-04-07 17:50:47 UTC
MTA is a new virtual package or is it just to replace the other virtual package 
smtpdaemon? If last is true, then esmtp shouldn't provide MTA, otherwise it is 
okay...

Comment 2 Ville Skyttä 2007-04-07 18:04:01 UTC
MTA is MTA, SMTP daemon is a SMTP daemon, apples and oranges :)

In other words, "MTA" is not a replacement for "smtpdaemon".

Comment 3 Patrice Dumas 2007-04-07 21:47:36 UTC
I am not sure that esmtp should provide MTA, it is not a
MTA. ssmtp should also certainly not provide it. I think it
is the same for smtpdaemon. (ssmtp provides smtpdaemon, but I
think it is wrong). In my opinion send-only mta should only
provide /usr/sbin/sendmail. 

Maybe the meaning of virtual provides should be explained
somewhere. 

For MTA, it seems to me that it should imply a smtp server and
a mail delivery service, none of which is in esmtp.

Comment 4 Robert Scheck 2007-04-07 21:52:23 UTC
Well, esmtp from Fedora Extras Development doesn't provide smtpdaemon, but 
"ESMTP is a user configurable relay-only Mail Transfer Agent (MTA) with a
sendmail-compatible syntax." - IMHO enough to provide MTA.

Comment 5 Patrice Dumas 2007-04-07 22:15:44 UTC
It is not exactly true, esmtp isn't even relay-only, it is send-only.
esmtp isn't more a MTA than most of the MUA. Thunderbird, for example
is a MTA if esmtp is a MTA because it is able to send mail... 

From the definition in wikipedia, for example, esmtp is not a MTA. 
Moreover the description states that it is a 'relay-only MTA', this 
also seems to imply that this is not a MTA.

If the definition of the MTA virtual provide is 'any program that
provides /usr/sbin/sendmail and is able to send mail', then 
sure esmtp should Provide MTA, but is it really the best definition
for MTA? I doubt it since it is redundant with providing 
/usr/sbin/sendmail 

Comment 6 Patrice Dumas 2007-11-03 15:34:55 UTC
ssmtp doesn't provides MTA anymore, this is now associated with
full MTA sendmail, exim, postfix (local delivery, mail queue, 
smtp server).

In my opinion it is better to have this meaning for MTA.
You can use /usr/sbin/sendmail for a package providing this
command -- or for a package that can send mail.


Note You need to log in before you can comment on or make changes to this bug.